<template>
  <div class="blok_card">
    <div class="card">
      <div class="info">
        <img
          class="img_info"
          :src="anime.images.jpg.image_url"
          :alt="anime.title_english"
        />
      </div>
      <div class="description">
        <div class="title">
          <div>{{ anime.title_english }}</div>
          <div>({{ anime.title_japanese }})</div>
          <div>{{ anime.aired.string }}</div>
        </div>
        <p>{{ anime.type }} - {{ anime.source }} {{ anime.score }}</p>
        <p>{{ anime.title_english }} - Episodes {{ anime.episodes }}</p>
        <div>
          <p>Genres</p>
          <div class="categorie_blok">
            <p v-for="genre in anime.genres" :key="genre.mal_id">
              {{ genre.name }}
            </p>
          </div>
        </div>
        <div>
          <p>studios</p>
          <div class="categorie_blok">
            <p v-for="studio in anime.studios" :key="studio.mal_id">
              {{ studio.name }}
            </p>
          </div>
        </div>
        <p>Duration - {{ anime.duration }}</p>
        <p>Status - {{ anime.status }}</p>
        <p>Rating(Age restriction) - {{ anime.rating }}</p>
        <p>Country and City - {{ anime.broadcast.timezone }}</p>
        <div class="collapse_card">
          <vs-collapse>
            <vs-collapse-item icon-arrow="arrow_downward">
              <template v-slot:header>
                <div class="slot_text">Show description</div>
              </template>
              <div class="info_collapse">
                <p class="synopsis_text text_size">{{ anime.synopsis }}</p>
                <p class="text_size">{{ anime.background }}</p>
              </div>
            </vs-collapse-item>
          </vs-collapse>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    anime: {
      type: Object,
      default: {},
    }
  },
}
</script>